System 2.0.0.0 4.0.0.0 System.Enum System.Flags

This class is an implementation of a commonly used extension that is mapped by default to the file. When the property of the class is invoked, this class can be used directly.

Defines how the certificate key can be used. If this value is not defined, the key can be used for any purpose.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509KeyUsageFlags

  The key can be used to sign a certificate revocation list (CRL).

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509KeyUsageFlags

  The key can be used for data encryption.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509KeyUsageFlags

  The key can be used for decryption only.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509KeyUsageFlags

  The key can be used as a digital signature.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509KeyUsageFlags

  The key can be used for encryption only.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509KeyUsageFlags

  The key can be used to determine key agreement, such as a key created using the Diffie-Hellman key agreement algorithm.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509KeyUsageFlags

  The key can be used to sign certificates.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509KeyUsageFlags

  The key can be used for key encryption.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509KeyUsageFlags

  No key usage parameters.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509KeyUsageFlags

  The key can be used for authentication.